Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 323951 - dev-vcs/subversion-1.6.12 does not require threadsafe sqlite
Summary: dev-vcs/subversion-1.6.12 does not require threadsafe sqlite
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-14 15:16 UTC by Alan Hourihane
Modified: 2011-08-18 09:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hourihane 2010-06-14 15:16:29 UTC
In subversion 1.6.6 it wasn't made mandatory to have a threadsafe sqlite if apr is compiled without threadsafety.

Can we drop the [threadsafe] requirement ?

Not sure if there's an easy test to see if apr was compiled with/without threads to allow this though.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-06-14 15:31:09 UTC
Why would you want to have thread-unsafe SQLite?
Comment 2 Alan Hourihane 2010-06-14 15:42:42 UTC
Because I'm using gentoo prefix on a platform which doesn't have threads.
Comment 3 Alan Hourihane 2010-07-06 18:39:21 UTC
bump. 1.6.12 is out. 

Is there an easy test to see if dev-libs/apr is built threadsafe ?
Comment 4 Alan Hourihane 2010-07-12 08:55:51 UTC
Prefix folks....

Can we add another line to the ebuild that does...

!m68k-mint ( >=dev-db/sqlite-3.4[threadsafe] )
m68k-mint ( >=dev-db/sqlite-3.4 )

for now ??
Comment 5 Fabian Groffen gentoo-dev 2010-07-12 09:04:34 UTC
fine with me if it's still in our overlay
Comment 6 Alan Hourihane 2010-07-20 07:58:15 UTC
ping prefix folks - yes it's still in our overlay....
Comment 7 Alan Hourihane 2010-08-11 13:30:54 UTC
ping prefix folks again, can we make the change here ?

thanks.
Comment 8 Fabian Groffen gentoo-dev 2010-08-11 15:40:17 UTC
sorry, applied.  This bug is not assigned to prefix team, hence it slipped under the radar
Comment 9 Tony Vroon gentoo-dev 2011-08-18 09:41:34 UTC
This is being considered for 1.6.17-r1; my apologies for the lack of action on this so far.
Comment 10 Tony Vroon gentoo-dev 2011-08-18 09:50:55 UTC
+*subversion-1.6.17-r1 (18 Aug 2011)
+
+  18 Aug 2011; Tony Vroon <chainsaw@gentoo.org> +files/47_mod_dav_svn.conf,
+  +files/80subversion-extras, +subversion-1.6.17-r1.ebuild,
+  +files/svnserve.initd2:
+  Cut down extraneous einfo as requested by Gokdeniz Karadag in bug #268633.
+  Removed USE=threadsafe requirement for sqlite as per Alan Hourihane in bug
+  #323951. Stop use of --chuid in init script as per Michael Mair-Keimberger in
+  bug #377781. Removed overengineered testing facilities; unmaintainable in
+  current state. Moved remaining inline configuration files to FILESDIR.
+  Removed custom inline print function.